Bug 2242184 - Review Request: kf6-kimageformats - KDE Frameworks 6 Tier 1 addon with additional image plugins for QtGui
Summary: Review Request: kf6-kimageformats - KDE Frameworks 6 Tier 1 addon with additi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL: https://invent.kde.org/frameworks/%{f...
Whiteboard:
Depends On:
Blocks: kf6-reviews
TreeView+ depends on / blocked
 
Reported: 2023-10-04 20:00 UTC by Steve Cossette
Modified: 2023-10-10 16:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-06 21:39:43 UTC
Type: ---
Embargoed:
tdawson: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6490411 to 6490536 (477 bytes, patch)
2023-10-04 20:35 UTC, Fedora Review Service
no flags Details | Diff
The .spec file difference from Copr build 6490536 to 6500633 (621 bytes, patch)
2023-10-06 20:02 UTC, Fedora Review Service
no flags Details | Diff

Description Steve Cossette 2023-10-04 20:00:05 UTC
Spec URL: https://farchord.fedorapeople.org/reviews/kf6-kimageformats/kf6-kimageformats.spec
SRPM URL: https://farchord.fedorapeople.org/reviews/kf6-kimageformats/kf6-kimageformats-5.240.0^20230925.210237.d932e0d-1.fc39.src.rpm
Description: This framework provides additional image format plugins for QtGui.  As such it is not required for the compilation of any other software, but may be a runtime requirement for Qt-based software to support certain image formats.
Fedora Account System Username: farchord
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=107062810

Comment 1 Fedora Review Service 2023-10-04 20:11:04 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6490411
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2242184-kf6-kimageformats/fedora-rawhide-x86_64/06490411-kf6-kimageformats/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Fedora Review Service 2023-10-04 20:35:25 UTC
Created attachment 1992116 [details]
The .spec file difference from Copr build 6490411 to 6490536

Comment 4 Fedora Review Service 2023-10-04 20:35:27 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6490536
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2242184-kf6-kimageformats/fedora-rawhide-x86_64/06490536-kf6-kimageformats/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 5 Troy Dawson 2023-10-06 19:24:49 UTC
A couple of license issues.
First, you have LGPLv2+ which is not in the SPDX format.


Second, from what I can find there are the following licenses:
BSD-2-Clause AND BSD-3-Clause AND LGPL-2.0-or-later and LGPL-2.1-only AND LGPL-2.1-or-later AND LGPL-3.0-only

Third, I can't seem to find either of those BSD licenses.  The only other one I can find is CC0-1.0, which doesn't seem to be used.
Can you ask upstream to put the two BSD licenses in the LICENSES directory.
If I missed them, then feel free to copy them into the LICENSES directory.

Other than the licenses, this looks good to go.

Comment 7 Steve Cossette 2023-10-06 19:54:35 UTC
So, I actually forgot to run reuse lint on this. This is what it shows:

└─(15:49:28)──> reuse lint                                                                                                                                    ──(Fri,Oct06)─┘
reuse.project - WARNING - could not find supported VCS
# MISSING LICENSES

'BSD-2-Clause' found in:
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/avif.cpp
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/avif_p.h
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/jxl.cpp
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/jxl_p.h

'BSD-3-Clause' found in:
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/cmake/find-modules/FindLibRaw.cmake
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/fastmath_p.h


# MISSING COPYRIGHT AND LICENSING INFORMATION

The following files have no copyright and licensing information:
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/.git-blame-ignore-revs
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/.gitattributes
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/.gitignore
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/.kde-ci.yml
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/CMakeLists.txt
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/README.md
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/CMakeLists.txt
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/ani/test.ani
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/ani/test_1.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/ani/test_2.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/ani/test_3.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/long-runs.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/4x4-alpha-uncompressed.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/4x4-alpha.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/4x4-alpha.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/4x4-simple-color-uncompressed.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/4x4-simple-color.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/4x4-simple-color.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/long-comment.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/long-runs.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/long-runs.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/pic/short-comment.pic
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/bw.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/bw.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/bwa.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/bwa.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rgb.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rgba.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rgba.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated090.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated090.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated090_left-to-right.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated090_left-to-right.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated090_top-to-bottom.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated090_top-to-bottom.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated180.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated180.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated180_left-to-right.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated180_left-to-right.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated180_top-to-bottom.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated180_top-to-bottom.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated270.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated270.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated270_left-to-right.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated270_left-to-right.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated270_top-to-bottom.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/rotated270_top-to-bottom.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/unrotated.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/unrotated.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/unrotated_left-to-right.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/unrotated_left-to-right.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/unrotated_top-to-bottom.avif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/avif/unrotated_top-to-bottom.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/eps/bw.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/eps/rgb-gimp-2.8.10.eps
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/eps/rgb-gimp-2.8.10.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/eps/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/exr/rgb-gimp.exr
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/exr/rgb-gimp.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/fake_earth.hdr
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/fake_earth.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/rgb-landscape.hdr
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/rgb-landscape.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/rgb-portrait.hdr
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/rgb-portrait.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/rgb.hdr
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/hdr/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/heif/rgb.heif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/heif/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/heif/rgba.heif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/heif/rgba.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation1.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation1.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation2.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation2.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation3.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation3.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation4.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation4.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation5.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation5.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation6.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation6.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation7.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation7.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation8.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/orientation8.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/rgb.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/rgba.jxl
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/jxl/rgba.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/kra/src.kra
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/kra/src.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ora/src.ora
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ora/src.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/bw.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/bw.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/ccbug_463951.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/ccbug_463951.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/indexed8.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/indexed8.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/mono.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/mono.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/rgb-gimp-2.8.10.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/rgb-gimp-2.8.10.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/rgb.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/pcx/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/16bit-rle.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/16bit-rle.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/16bit_grayscale.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/16bit_grayscale.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/16bit_photoshop.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/16bit_photoshop.psb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/32bit-rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/32bit-rgb.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/32bit_grayscale.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/32bit_grayscale.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/53alphas.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/53alphas.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/8bit-grayscale.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/8bit-grayscale.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/8bit-photoshop.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/8bit-photoshop.psb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/adobehq-2_5.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/adobehq-2_5.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/argb16-raw-affinityphoto-1.8.5.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/birthday.pdd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/birthday.tif
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/bitmap.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/bitmap.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/ccbug182496.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/ccbug182496.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/cmyka-16bits.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/cmyka-8bits.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/duotone.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/duotone.psb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/indexed.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/indexed.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/laba_16bit.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/laba_16bit.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/laba_8bit.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/laba_8bit.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch-16bits.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch-16bits.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch-8bits.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch-8bits.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch3-16bits.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch3-16bits.psb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch3-8bits.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/mch3-8bits.psb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/rgb-gimp-2.8.10.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/rgb-gimp-2.8.10.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/rgb16-raw-affinityphoto-1.8.5.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/1px.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/1px.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/2px.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/2px.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/bnm_rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/bnm_rgb.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/bnm_rgba.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/bnm_rgba.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/testcard.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/testcard.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/testcard_rgba.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/qoi/testcard_rgba.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.10-1bit.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.10-1bit.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.10-gray.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.10-gray.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.10-pal16.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.10-pal16.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.8.10-standard.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb-gimp-2.8.10-standard.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb24.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rgb24.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rle_1bit.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rle_1bit.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rle_24bit.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rle_24bit.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rle_pal8bit.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/ras/rle_pal8bit.ras
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/raw/RAW_KODAK_C330_FORMAT_NONE_YRGB.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/raw/RAW_KODAK_C330_FORMAT_NONE_YRGB.raw
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/bw.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/bw.rgb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb-gimp-2.8.10-aggressive-rle.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb-gimp-2.8.10-aggressive-rle.rgb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb-gimp-2.8.10-rle.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb-gimp-2.8.10-rle.rgb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb-gimp-2.8.10-uncompressed.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb-gimp-2.8.10-uncompressed.rgb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/rgb/rgb.rgb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/bw.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/bw.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/bwa.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/bwa.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-bottom-left.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-bottom-left.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-rle-bottom-left.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-rle-bottom-left.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-rle-top-left.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-rle-top-left.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-top-left.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb-gimp-2.8.10-top-left.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgb.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgba.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/tga/rgba.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16_gray.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16_gray.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16_grayA.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16_grayA.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16fp.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16fp.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16fp_gray.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16fp_gray.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16fp_grayA.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday16fp_grayA.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32_gray.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32_gray.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32_grayA.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32_grayA.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32fp.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32fp.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32fp_gray.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32fp_gray.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32fp_grayA.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday32fp_grayA.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday_grayA.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/birthday_grayA.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/bug411327.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/bug411327.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot16_icc.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot16_icc.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot16fplin_icc.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot16fplin_icc.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot32_icc.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot32_icc.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot32fplin_icc.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot32fplin_icc.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot_icc.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/fruktpilot_icc.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-bw-gimp-2.8.10.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-bw-gimp-2.8.10.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-bwa-gimp-2.8.10.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-bwa-gimp-2.8.10.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-rgb-gimp-2.8.10.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-rgb-gimp-2.8.10.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-rgba-gimp-2.8.10.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/xcf/simple-rgba-gimp-2.8.10.xcf
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bw.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bw.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bw.rgb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bw.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bw.xv
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bwa.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bwa.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bwa.xv
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgb.pcx
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgb.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgb.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgb.rgb
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgb.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgb.xv
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgba.png
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgba.qoi
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgba.tga
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgba.xv
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/metainfo.yaml
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/CMakeLists.txt
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/AUTHORS
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/CMakeLists.txt
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/ani.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/avif.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/eps.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/exr.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/hdr.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/heif.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/jxl.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/kra.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/ora.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/pcx.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/pic.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/psd.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/qoi.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/ras.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/raw.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/rgb.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/tga.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/src/imageformats/xcf.json
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/tests/CMakeLists.txt

The following files have no licensing information:
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/eps/bw.eps
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/eps/rgb.eps
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/argb16-raw-affinityphoto-1.8.5.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/cmyka-16bits.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/cmyka-8bits.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/read/psd/rgb16-raw-affinityphoto-1.8.5.psd
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/bw.eps
* /home/farchord/Documents/fedora/kde/kimageformats/kimageformats-d932e0d16b77b180a972df199089d42a5d625194/autotests/write/rgb.eps


# SUMMARY

* Bad licenses:
* Deprecated licenses:
* Licenses without file extension:
* Missing licenses: BSD-2-Clause, BSD-3-Clause
* Unused licenses:
* Used licenses: BSD-2-Clause, BSD-3-Clause, CC0-1.0, LGPL-2.0-or-later, LGPL-2.1-only, LGPL-2.1-or-later, LGPL-3.0-only, LicenseRef-KDE-Accepted-LGPL
* Read errors: 0
* Files with copyright information: 60 / 361
* Files with license information: 52 / 361

Unfortunately, your project is not compliant with version 3.0 of the REUSE Specification :-(


So I went ahead and added the licenses under "Used licenses".

Comment 8 Fedora Review Service 2023-10-06 20:02:37 UTC
Created attachment 1992558 [details]
The .spec file difference from Copr build 6490536 to 6500633

Comment 9 Fedora Review Service 2023-10-06 20:02:40 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6500633
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2242184-kf6-kimageformats/fedora-rawhide-x86_64/06500633-kf6-kimageformats/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 10 Troy Dawson 2023-10-06 21:17:48 UTC
PACKAGE ACCEPTED

I am passing this, but you SHOULD ask upstream to put the BSD license in the LICENSES directory.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 2178 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Comment 11 Steve Cossette 2023-10-06 21:32:34 UTC
Thank you for the review, Troy

https://pagure.io/releng/fedora-scm-requests/issue/56835

Comment 12 Fedora Admin user for bugzilla script actions 2023-10-06 21:32:45 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/kf6-kimageformats

Comment 13 Steve Cossette 2023-10-06 21:39:43 UTC
Submitted a bug upstream! Thanks! Closing


Note You need to log in before you can comment on or make changes to this bug.